[gentoo-commits] repo/gentoo:master commit in: gnome-base/dconf/, gnome-base/dconf/files/

2021-03-13 Thread Matt Turner
commit: 61df03d83de73902fd6adb6d268e0b0f1aaa7064
Author: Matt Turner  gentoo  org>
AuthorDate: Sat Mar 13 16:08:03 2021 +
Commit: Matt Turner  gentoo  org>
CommitDate: Sat Mar 13 16:26:21 2021 +
URL:https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=61df03d8

gnome-base/dconf: Version bump to 0.40.0

Signed-off-by: Matt Turner  gentoo.org>

 gnome-base/dconf/Manifest  |  1 +
 gnome-base/dconf/dconf-0.40.0.ebuild   | 83 ++
 .../dconf/files/0.40.0-bash-completion-dir.patch   | 68 ++
 3 files changed, 152 insertions(+)

diff --git a/gnome-base/dconf/Manifest b/gnome-base/dconf/Manifest
index 823d9fc3c29..393eec0e90f 100644
--- a/gnome-base/dconf/Manifest
+++ b/gnome-base/dconf/Manifest
@@ -1,2 +1,3 @@
 DIST dconf-0.34.0.tar.xz 112876 BLAKE2B 
6890cd82a3ba81eac8c72dda93ebf1b82f3002b735bf2e059ba07a2f0f3817978a9e4f5dd37a9efab728fc2a4e20c34c519f9eeb3915d705ff8a3c4a65f9ab41
 SHA512 
8b28373f31fe36ba3f21f56fca84563681c3648ff595709880cd9ac49fc6b130ac375fb89fd585f1dd62b5a2f728127292ea57d18feca1147b709a93e8c4c743
 DIST dconf-0.36.0.tar.xz 114828 BLAKE2B 
033cb2e095d9dac72bd07c5fa8280a3e1012aac6c1b0657d5455c2a519617be9112acca702ec4078554a814f36d12ee8e25201cc5b8aed2d33a32ef14e2f6fa5
 SHA512 
fed0b4ac13dfeff3bbe428a5c25408a0f13610219e561841a3af75cf18f9c630c385989b700c081b79ab53c00bdecf43c7c94979312c047faefbda4b2653d40d
+DIST dconf-0.40.0.tar.xz 117764 BLAKE2B 
bdbc48b71e46fdc4353358cd08fb96933d07af587300a6f91bc45826aeafb3f34f482fe6e09041dd839e507b863a8e33d09bad88a91c1c868983f8afb52c5c85
 SHA512 
71396d71f24f47653181482b052fdfc63795c50c373de34e2fb93e16101745daa7e81192b79a102d5389911cea34138eedf3ac32bc80562018e8a7f31963559a

diff --git a/gnome-base/dconf/dconf-0.40.0.ebuild 
b/gnome-base/dconf/dconf-0.40.0.ebuild
new file mode 100644
index 000..d0515385aa7
--- /dev/null
+++ b/gnome-base/dconf/dconf-0.40.0.ebuild
@@ -0,0 +1,83 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit bash-completion-r1 gnome.org gnome2-utils meson systemd virtualx xdg
+
+DESCRIPTION="Simple low-level configuration system"
+HOMEPAGE="https://wiki.gnome.org/Projects/dconf;
+
+LICENSE="LGPL-2.1+"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~s390 
~sparc ~x86 ~x86-linux"
+IUSE="gtk-doc"
+RESTRICT="!test? ( test )" # IUSE=test comes from virtualx.eclass
+
+RDEPEND="
+   >=dev-libs/glib-2.44.0:2
+   sys-apps/dbus
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
+   app-text/docbook-xml-dtd:4.2
+   app-text/docbook-xsl-stylesheets
+   dev-libs/libxslt
+   dev-util/gdbus-codegen
+   gtk-doc? ( >=dev-util/gtk-doc-1.15 )
+   >=sys-devel/gettext-0.19.8
+   virtual/pkgconfig
+"
+
+PATCHES=(
+   "${FILESDIR}"/0.40.0-bash-completion-dir.patch
+   "${FILESDIR}"/0.32.0-drop-vapigen-dep.patch # .vapi/.deps are 
pregenerated, just install them without a vala dep
+)
+
+src_configure() {
+   local emesonargs=(
+   -Dbash_completion_dir="$(get_bashcompdir)"
+   -Dman=true
+   $(meson_use gtk-doc gtk_doc)
+   -Dvapi=true
+   -Dsystemduserunitdir=$(systemd_get_userunitdir)
+   )
+   meson_src_configure
+}
+
+src_install() {
+   meson_src_install
+
+   # GSettings backend may be one of: memory, gconf, dconf
+   # Only dconf is really considered functional by upstream
+   # must have it enabled over gconf if both are installed
+   # This snippet can't be removed until gconf package is
+   # ensured to not install a /etc/env.d/50gconf and then
+   # still consider the CONFIG_PROTECT_MASK bit.
+   echo 'CONFIG_PROTECT_MASK="/etc/dconf"' >> 51dconf
+   echo 'GSETTINGS_BACKEND="dconf"' >> 51dconf
+   doenvd 51dconf
+}
+
+src_test() {
+   virtx meson_src_test
+}
+
+pkg_postinst() {
+   xdg_pkg_postinst
+   gnome2_giomodule_cache_update
+
+   # Kill existing dconf-service processes as recommended by upstream due 
to
+   # possible changes in the dconf private dbus API.
+   # dconf-service will be dbus-activated on next use.
+   pids=$(pgrep -x dconf-service)
+   if [[ $? == 0 ]]; then
+   ebegin "Stopping dconf-service; it will automatically restart 
on demand"
+   kill ${pids}
+   eend $?
+   fi
+}
+
+pkg_postrm() {
+   xdg_pkg_postrm
+   gnome2_giomodule_cache_update
+}

diff --git a/gnome-base/dconf/files/0.40.0-bash-completion-dir.patch 
b/gnome-base/dconf/files/0.40.0-bash-completion-dir.patch
new file mode 100644
index 000..43bbe57294d
--- /dev/null
+++ b/gnome-base/dconf/files/0.40.0-bash-completion-dir.patch
@@ -0,0 +1,68 @@
+From 43393af96308d001c30ac14c32000519253fe910 Mon Sep 17 00:00:00 2001
+From: Mart Raudsepp 
+Date: Fri, 22 Feb 2019 22:06:18 +0200
+Subject: [PATCH] build: Allow passing bash-completion dir and 

[gentoo-commits] repo/gentoo:master commit in: gnome-base/dconf/, gnome-base/dconf/files/

2019-12-01 Thread Mart Raudsepp
commit: dd9beb499e046d97e42c4cd4f4019eeef9e09fa1
Author: Mart Raudsepp  gentoo  org>
AuthorDate: Sun Dec  1 16:19:00 2019 +
Commit: Mart Raudsepp  gentoo  org>
CommitDate: Sun Dec  1 16:19:22 2019 +
URL:https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=dd9beb49

gnome-base/dconf: fix compat with meson-0.52

Closes: https://bugs.gentoo.org/698144
Package-Manager: Portage-2.3.69, Repoman-2.3.12
Signed-off-by: Mart Raudsepp  gentoo.org>

 gnome-base/dconf/dconf-0.32.0-r2.ebuild| 83 ++
 .../dconf/files/0.32.0-meson-0.52-compat.patch | 35 +
 2 files changed, 118 insertions(+)

diff --git a/gnome-base/dconf/dconf-0.32.0-r2.ebuild 
b/gnome-base/dconf/dconf-0.32.0-r2.ebuild
new file mode 100644
index 000..9992b900a0b
--- /dev/null
+++ b/gnome-base/dconf/dconf-0.32.0-r2.ebuild
@@ -0,0 +1,83 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit bash-completion-r1 gnome.org gnome2-utils meson virtualx xdg
+
+DESCRIPTION="Simple low-level configuration system"
+HOMEPAGE="https://wiki.gnome.org/Projects/dconf;
+
+LICENSE="LGPL-2.1+"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh 
~sparc ~x86 ~x86-linux"
+IUSE="gtk-doc"
+RESTRICT="!test? ( test )" # IUSE=test comes from virtualx.eclass
+
+RDEPEND="
+   >=dev-libs/glib-2.44.0:2
+   sys-apps/dbus
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
+   app-text/docbook-xml-dtd:4.2
+   app-text/docbook-xsl-stylesheets
+   dev-libs/libxslt
+   dev-util/gdbus-codegen
+   gtk-doc? ( >=dev-util/gtk-doc-1.15 )
+   >=sys-devel/gettext-0.19.8
+   virtual/pkgconfig
+"
+
+PATCHES=(
+   "${FILESDIR}"/0.30.1-bash-completion-dir.patch
+   "${FILESDIR}"/${PV}-drop-vapigen-dep.patch # .vapi/.deps are 
pregenerated, just install them without a vala dep
+   "${FILESDIR}"/${PV}-meson-0.52-compat.patch # 
https://gitlab.gnome.org/GNOME/dconf/issues/59
+)
+
+src_configure() {
+   local emesonargs=(
+   -Dbash_completion_dir="$(get_bashcompdir)"
+   -Dman=true
+   $(meson_use gtk-doc gtk_doc)
+   -Dvapi=true
+   )
+   meson_src_configure
+}
+
+src_install() {
+   meson_src_install
+
+   # GSettings backend may be one of: memory, gconf, dconf
+   # Only dconf is really considered functional by upstream
+   # must have it enabled over gconf if both are installed
+   # This snippet can't be removed until gconf package is
+   # ensured to not install a /etc/env.d/50gconf and then
+   # still consider the CONFIG_PROTECT_MASK bit.
+   echo 'CONFIG_PROTECT_MASK="/etc/dconf"' >> 51dconf
+   echo 'GSETTINGS_BACKEND="dconf"' >> 51dconf
+   doenvd 51dconf
+}
+
+src_test() {
+   virtx meson_src_test
+}
+
+pkg_postinst() {
+   xdg_pkg_postinst
+   gnome2_giomodule_cache_update
+
+   # Kill existing dconf-service processes as recommended by upstream due 
to
+   # possible changes in the dconf private dbus API.
+   # dconf-service will be dbus-activated on next use.
+   pids=$(pgrep -x dconf-service)
+   if [[ $? == 0 ]]; then
+   ebegin "Stopping dconf-service; it will automatically restart 
on demand"
+   kill ${pids}
+   eend $?
+   fi
+}
+
+pkg_postrm() {
+   xdg_pkg_postrm
+   gnome2_giomodule_cache_update
+}

diff --git a/gnome-base/dconf/files/0.32.0-meson-0.52-compat.patch 
b/gnome-base/dconf/files/0.32.0-meson-0.52-compat.patch
new file mode 100644
index 000..7b5d8c5aefc
--- /dev/null
+++ b/gnome-base/dconf/files/0.32.0-meson-0.52-compat.patch
@@ -0,0 +1,35 @@
+From cc32667c5d7d9ff95e65cc21f59905d8f9218394 Mon Sep 17 00:00:00 2001
+From: Diego Escalante Urrelo 
+Date: Thu, 31 Oct 2019 05:51:22 -0500
+Subject: [PATCH] build: Update use of link_whole for meson-0.52
+
+A regression in meson-0.52 caused uses of link_whole to expose scenarios
+where duplicate symbols issues could appear. In particular
+libdconf_client_dep was being link_whole'd to itself, which recursively
+already included libdconf_common which was also a link_whole.
+
+This change does not modify the available symbols in libdconf.so, and is
+compatible with meson-0.52 and 0.51.
+
+See: https://github.com/mesonbuild/meson/pull/6030
+Fixes: https://gitlab.gnome.org/GNOME/dconf/issues/59
+---
+ client/meson.build | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/client/meson.build b/client/meson.build
+index f3b7122..de6387e 100644
+--- a/client/meson.build
 b/client/meson.build
+@@ -28,7 +28,7 @@ libdconf_client = static_library(
+ 
+ libdconf_client_dep = declare_dependency(
+   dependencies: gio_dep,
+-  link_whole: libdconf_client,
++  link_with: libdconf_client,
+ )
+ 
+ libdconf = shared_library(
+-- 
+2.20.1
+



[gentoo-commits] repo/gentoo:master commit in: gnome-base/dconf/, gnome-base/dconf/files/

2019-02-22 Thread Mart Raudsepp
commit: 3b87f3b55d29b4488ae58c1e108a1e568db029df
Author: Mart Raudsepp  gentoo  org>
AuthorDate: Fri Feb 22 20:24:54 2019 +
Commit: Mart Raudsepp  gentoo  org>
CommitDate: Fri Feb 22 20:29:40 2019 +
URL:https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3b87f3b5

gnome-base/dconf: bump to 0.30.1

Package-Manager: Portage-2.3.52, Repoman-2.3.12
Signed-off-by: Mart Raudsepp  gentoo.org>

 gnome-base/dconf/Manifest  |  1 +
 gnome-base/dconf/dconf-0.30.1.ebuild   | 81 ++
 .../dconf/files/0.30.1-bash-completion-dir.patch   | 62 +
 3 files changed, 144 insertions(+)

diff --git a/gnome-base/dconf/Manifest b/gnome-base/dconf/Manifest
index 9cfe69f5aaf..62d2bd9733b 100644
--- a/gnome-base/dconf/Manifest
+++ b/gnome-base/dconf/Manifest
@@ -1 +1,2 @@
 DIST dconf-0.26.1.tar.xz 218516 BLAKE2B 
ddb23a1f6519b5460903b1a91ba48242f144a768f7ec5b9e82953589474df998061a4fbfb3605027cb51db44f7e49f88c774a735600de2bedaf8889b58e050bc
 SHA512 
4d2b4afce189e448e3bd4e9c2f9d3d5eec6c694748aec87a9a8de047296c858772a5234dbcace8e84d99c5378d2d1ba35cafb5e5ea7efca25c10a53a55b8b6da
+DIST dconf-0.30.1.tar.xz 104376 BLAKE2B 
c5a90c092b6e028dafbc9aee2f29f622dc4a696e815266355de4a056fe507b0cca9eaa9b10753501ee44f74ee57d0095fd55aafc7205ffea1f0321ed705dbe0b
 SHA512 
f7d136aec7cb75b64c7d9446d520f4c4af368e6d22346b7bb8ad66c08afaa03a72aacd44016dae7690e37b7d0deb9a16187445db176427a12a8b3cd3885c9e03

diff --git a/gnome-base/dconf/dconf-0.30.1.ebuild 
b/gnome-base/dconf/dconf-0.30.1.ebuild
new file mode 100644
index 000..2ea6d382253
--- /dev/null
+++ b/gnome-base/dconf/dconf-0.30.1.ebuild
@@ -0,0 +1,81 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit bash-completion-r1 gnome.org gnome2-utils meson vala virtualx xdg
+
+DESCRIPTION="Simple low-level configuration system"
+HOMEPAGE="https://wiki.gnome.org/Projects/dconf;
+
+LICENSE="LGPL-2.1+"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh 
~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~x86-linux"
+IUSE="gtk-doc"
+
+RDEPEND="
+   >=dev-libs/glib-2.44.0:2
+   sys-apps/dbus
+"
+DEPEND="${RDEPEND}
+   $(vala_depend)
+   app-text/docbook-xml-dtd:4.2
+   app-text/docbook-xsl-stylesheets
+   dev-libs/libxslt
+   dev-util/gdbus-codegen
+   gtk-doc? ( >=dev-util/gtk-doc-1.15 )
+   >=sys-devel/gettext-0.19.8
+   virtual/pkgconfig
+"
+
+PATCHES=(
+   "${FILESDIR}"/${PV}-bash-completion-dir.patch
+)
+
+src_prepare() {
+   xdg_src_prepare
+   vala_src_prepare
+}
+
+src_configure() {
+   local emesonargs=(
+   -Dbash_completion_dir="$(get_bashcompdir)"
+   -Dman=true
+   $(meson_use gtk-doc gtk_doc)
+   )
+   meson_src_configure
+}
+
+src_test() {
+   virtx meson_src_test
+}
+
+src_install() {
+   meson_src_install
+
+   # GSettings backend may be one of: memory, gconf, dconf
+   # Only dconf is really considered functional by upstream
+   # must have it enabled over gconf if both are installed
+   echo 'CONFIG_PROTECT_MASK="/etc/dconf"' >> 51dconf
+   echo 'GSETTINGS_BACKEND="dconf"' >> 51dconf
+   doenvd 51dconf
+}
+
+pkg_postinst() {
+   xdg_pkg_postinst
+   gnome2_giomodule_cache_update
+
+   # Kill existing dconf-service processes as recommended by upstream due 
to
+   # possible changes in the dconf private dbus API.
+   # dconf-service will be dbus-activated on next use.
+   pids=$(pgrep -x dconf-service)
+   if [[ $? == 0 ]]; then
+   ebegin "Stopping dconf-service; it will automatically restart 
on demand"
+   kill ${pids}
+   eend $?
+   fi
+}
+
+pkg_postrm() {
+   xdg_pkg_postrm
+   gnome2_giomodule_cache_update
+}

diff --git a/gnome-base/dconf/files/0.30.1-bash-completion-dir.patch 
b/gnome-base/dconf/files/0.30.1-bash-completion-dir.patch
new file mode 100644
index 000..5d256f7efec
--- /dev/null
+++ b/gnome-base/dconf/files/0.30.1-bash-completion-dir.patch
@@ -0,0 +1,62 @@
+From 012b92b115ed96cc66818adbd31557765078be65 Mon Sep 17 00:00:00 2001
+From: Mart Raudsepp 
+Date: Fri, 22 Feb 2019 22:06:18 +0200
+Subject: [PATCH] build: Allow passing bash-completion dir and have a generic
+ fallback
+
+With autotools the installation path was just hardcoded to the usual
+location. In meson it was made to always check the path from
+bash-completion.pc, but some downstream might want to install the
+file without a bash-completion build-dep. Allow installing the
+completion file to a passed directory, and add back the fallback
+path if an explicit directory isn't passed and bash-completion
+package isn't found. This is also what the tracker project does.
+---
+ meson.build   | 20 
+ meson_options.txt |  2 +-
+ 2 files changed, 17 insertions(+), 5 deletions(-)
+
+diff --git